

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            
            <section>
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">
                                    Informations générales
                                </h4>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div>
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Nom et prénom(s)</th>
                                                    <th>Adresse email</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr *ngIf="isLoading; else notLoadingClientBlock">
                                                    <td colspan="2">
                                                        <div class="d-flex justify-content-center">
                                                            <div class="spinner-border text-primary" role="status">
                                                    
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <ng-template #notLoadingClientBlock>
                                                    <tr>
                                                        <td>
                                                            {{client.firstName}} {{client.lastName}} 
                                                        </td>
                                                        <td>{{client.email}}</td>
                                                        
                                                    </tr>
                                                </ng-template>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <section id="seach-filter">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Les projets</h4>
                            </div>
                            <div class="card-body">
                                <app-project-client-filter-atelier (filterClicked)="filterResults($event)" ></app-project-client-filter-atelier>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <section id="list">
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Liste</h4>
                                <button class="btn btn-primary" routerLink="/create-project-admin/welcome/{{clientId}}">
                                    <i class="fa-solid fa-plus"></i>
                                    Nouveau projet
                                </button>
                                
                            </div>

                            <div class="table-responsive">
                                <app-gen-datatable
                                    [headers]="headers"
                                    [fetchData]="fetchData"
                                    [actionOptions]="actionOptions"
                                >
                                </app-gen-datatable>
                              
                                <ng-template #actionColumn let-row="row">
                                    <a role="button" class="btn btn-sm " routerLink="/admin/atelier/project/{{row._id}}">
                                        <i class="fa-solid fa-eye"></i>
                                    </a>
                                    
                                </ng-template>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->


